const hi18n = new VueI18n({
    locale: '',
    fallbackLocale: ['fr', 'en'],
    messages,
})

new Vue({
    data:{
        video: 'https://www.ittec.mx/media/vittec_nosotros_es.mp4',
        vittecIndex: 'https://www.ittec.mx/media/vittec_es.mp4',
    }, 
    i18n,
    langnavi:'',
    langstore:'',
    methods:{

        cambiarIdioma(idioma){
            hi18n.locale = idioma;
        },
        obtenerGeolocalizaion(){
            navlang = navigator.browserLanguage || navigator.language;
            this.langnavi = navlang.substr(-20,2); 
            hi18n.locale = this.langnavi;
        },
        guardarIdioma(idioma){
            this.langstorage = idioma;
            hi18n.locale = this.langstorage; 
            localStorage.setItem("idioma",this.langstorage);
        },
        obtenerIdioma(){
            var langs = localStorage.getItem("idioma");
            if(langs == 'es'){
                hi18n.locale = 'es';                    
            }else if(langs == 'en'){
                hi18n.locale='en';
            }
        }
    },
    created(){

        if(localStorage.getItem("idioma")){
            this.obtenerIdioma();
        }else{
            this.obtenerGeolocalizaion();
        }

    }
}).$mount('#header-vuejs')

//JS HEADER

function buscador_interno() {
    for (inputBuscador = document.getElementById("buscador"), box_search = document.getElementById("box-search"), filtro = inputBuscador.value.toUpperCase(), li = box_search.getElementsByTagName("li"), i = 0; i < li.length; i++)
        (a = li[i].getElementsByTagName("a")[0]),
            (textValue = a.textContent || a.innerText),
            textValue.toUpperCase().indexOf(filtro) > -1 ? ((li[i].style.display = ""), (box_search.style.display = "block"), "" === inputBuscador.value && (box_search.style.display = "none")) : (li[i].style.display = "none");
}
function updateHeader() {
    var n = $(window).width();
    (n >= 992 || screen.width >= 992) &&
        ($("#submenu-mv").addClass("col-9"),
        $("#submenu-mv").removeClass("col-12"),
        $("#img-opcs").addClass("mt-4"),
        $("#img-header").addClass("mt-5"),
        $("div nav").css("display", "block"),
        $("#opt").on("mouseenter", function () {
            $(".submenu-construye").slideUp("slow"), $(".submenu-conoce").slideDown("slow");
        }),
        $("#optconst").on("mouseenter", function () {
            $(".submenu-conoce").slideUp("slow"), $(".submenu-construye").slideDown("slow");
        })),
        (n <= 991 || screen.width <= 991) &&
            ($("#submenu-mv").removeClass("col-9"), $("#submenu-mv").addClass("col-12"), $("#img-opcs").removeClass("mt-4"), $("#img-header").removeClass("mt-5"), $("#opt").unbind("mouseenter"), $("#optconst").unbind("mouseenter")),
        screen.width <= 600 &&
            ($("#opcs, #opcsB").css("display", "none"),
            $("#opt-list, #opt-listB").removeClass("col-4"),
            $("#opt-list, #opt-listB").addClass("col-12"),
            $(".arrow-conoce").click(function () {
                $(".content-hd-mv, .content-img").css("display", "none"), $("#head-mb").slideToggle();
            }),
            $(".arrow-construye").click(function () {
                $(".content-img-b, .content-hd-mv-b ").css("display", "none"), $("#head-cons-mb").slideToggle();
            }),
            $(".btn-factura").click(function () {
                $("#fac-elec, #img-fac").slideToggle(),
                    $("#nom, #img-nom").hide("slow"),
                    $("#cont-elec, #img-cont-elec").hide("slow"),
                    $("#con-inv, #img-con-inv").hide("slow"),
                    $("#con-cob, #img-con-cob").hide("slow"),
                    $("#dis-dig, #img-dis-dig").hide("slow");
            }),
            $(".btn-nomina").click(function () {
                $("#nom, #img-nom").slideToggle(),
                    $("#fac-elec, #img-fac").hide("slow"),
                    $("#cont-elec, #img-cont-elec").hide("slow"),
                    $("#con-inv, #img-con-inv").hide("slow"),
                    $("#con-cob, #img-con-cob").hide("slow"),
                    $("#dis-dig, #img-dis-dig").hide("slow");
            }),
            $(".btn-contabilidad").click(function () {
                $("#cont-elec, #img-cont-elec").slideToggle(),
                    $("#nom, #img-nom").hide("slow"),
                    $("#fac-elec, #img-fac").hide("slow"),
                    $("#con-inv, #img-con-inv").hide("slow"),
                    $("#con-cob, #img-con-cob").hide("slow"),
                    $("#dis-dig, #img-dis-dig").hide("slow");
            }),
            $(".btn-conciliacion").click(function () {
                $("#cont-conc, #img-cont-conc").slideToggle(),
                    $("#nom, #img-nom").hide("slow"),
                    $("#fac-elec, #img-fac").hide("slow"),
                    $("#con-inv, #img-con-inv").hide("slow"),
                    $("#con-cob, #img-con-cob").hide("slow"),
                    $("#dis-dig, #img-dis-dig").hide("slow");
            }),
            $(".btn-inventario").click(function () {
                $("#con-inv, #img-con-inv").slideToggle(),
                    $("#cont-elec, #img-cont-elec").hide("slow"),
                    $("#nom, #img-nom").hide("slow"),
                    $("#fac-elec, #img-fac").hide("slow"),
                    $("#con-cob, #img-con-cob").hide("slow"),
                    $("#dis-dig, #img-dis-dig").hide("slow");
            }),
            $(".btn-cobranza").click(function () {
                $("#con-cob, #img-con-cob").slideToggle(),
                    $("#cont-elec, #img-cont-elec").hide("slow"),
                    $("#nom, #img-nom").hide("slow"),
                    $("#fac-elec, #img-fac").hide("slow"),
                    $("#dis-dig, #img-dis-dig").hide("slow"),
                    $("#con-inv, #img-con-inv").hide("slow");
            }),
            $(".btn-digital").click(function () {
                $("#dis-dig, #img-dis-dig").slideToggle(),
                    $("#cont-elec, #img-cont-elec").hide("slow"),
                    $("#nom, #img-nom").hide("slow"),
                    $("#fac-elec, #img-fac").hide("slow"),
                    $("#con-inv, #img-con-inv").hide("slow"),
                    $("#con-cob, #img-con-cob").hide("slow");
            }),
            $(".btn-diseño").click(function () {
                $("#dis-digital, #img-dis-digital").slideToggle(),
                    $("#des-software, #img-software").hide("slow"),
                    $("#appications-web, #img-appications-web").hide("slow"),
                    $("#int-artificial, #img-int-artificial").hide("slow"),
                    $("#big-data-cont, #img-big-data-cont").hide("slow"),
                    $("#img-outsourcing-process, #outsourcing-process").hide("slow");
            }),
            $(".btn-soft").click(function () {
                $("#dis-digital, #img-dis-digital").hide("slow"),
                    $("#des-software, #img-software").slideToggle(),
                    $("#appications-web, #img-appications-web").hide("slow"),
                    $("#int-artificial, #img-int-artificial").hide("slow"),
                    $("#big-data-cont, #img-big-data-cont").hide("slow"),
                    $("#img-outsourcing-process, #outsourcing-process").hide("slow");
            }),
            $(".btn-aplicaciones").click(function () {
                $("#dis-digital, #img-dis-digital").hide("slow"),
                    $("#des-software, #img-software").hide("slow"),
                    $("#appications-web, #img-appications-web").slideToggle(),
                    $("#int-artificial, #img-int-artificial").hide("slow"),
                    $("#big-data-cont, #img-big-data-cont").hide("slow"),
                    $("#img-outsourcing-process, #outsourcing-process").hide("slow");
            }),
            $(".btn-inteligencia").click(function () {
                $("#dis-digital, #img-dis-digital").hide("slow"),
                    $("#des-software, #img-software").hide("slow"),
                    $("#appications-web, #img-appications-web").hide("slow"),
                    $("#int-artificial, #img-int-artificial").slideToggle(),
                    $("#big-data-cont, #img-big-data-cont").hide("slow"),
                    $("#img-outsourcing-process, #outsourcing-process").hide("slow");
            }),
            $(".btn-data").click(function () {
                $("#dis-digital, #img-dis-digital").hide("slow"),
                    $("#des-software, #img-software").hide("slow"),
                    $("#appications-web, #img-appications-web").hide("slow"),
                    $("#int-artificial, #img-int-artificial").hide("slow"),
                    $("#big-data-cont, #img-big-data-cont").slideToggle(),
                    $("#img-outsourcing-process, #outsourcing-process").hide("slow");
            }),
            $(".btn-outsourcing").click(function () {
                $("#dis-digital, #img-dis-digital").hide("slow"),
                    $("#des-software, #img-software").hide("slow"),
                    $("#appications-web, #img-appications-web").hide("slow"),
                    $("#int-artificial, #img-int-artificial").hide("slow"),
                    $("#big-data-cont, #img-big-data-cont").hide("slow"),
                    $("#img-outsourcing-process, #outsourcing-process").slideToggle();
            }));
}
function cloneOption() {
    ($(window).width() <= 991 || screen.width <= 991) && ($("#opcs").clone(!0).appendTo("#header-mv"), $("#opcsB").clone(!0).appendTo("#header-const-mv")),
        $("#text-factura-elec").clone().appendTo("#fac-elec"),
        $("#text-nomina").clone().appendTo("#nom"),
        $("#text-contabilidad").clone().appendTo("#cont-elec"),
        $("#text-conciliacion").clone().appendTo("#cont-conc"),
        $("#text-control-inv").clone().appendTo("#con-inv"),
        $("#text-control-cobranza").clone().appendTo("#con-cob"),
        $("#text-plataforma").clone().appendTo("#cont-plataforma"),
        $("#text-disenio").clone().appendTo("#dis-dig"),
        $("#text-digital").clone().appendTo("#dis-digital"),
        $("#text-software").clone().appendTo("#des-software"),
        $("#text-web").clone().appendTo("#appications-web"),
        $("#text-intelligencia").clone().appendTo("#int-artificial"),
        $("#text-bigdata").clone().appendTo("#big-data-cont"),
        $("#text-outsourcing").clone().appendTo("#outsourcing-process");
}
document.getElementById("buscador").addEventListener("keyup", buscador_interno),
    $(document).on("ready", function () {
        $(".navbar-toggler").click(function () {
            $("#navbar-collapse-1").slideToggle();
        });
    }),
    $("#item1").mouseenter(function () {
        $(".parrafo-factura").css("display", "block"),
            $("#img-conoce-xl").attr("src", "images/header/facturacionhd.png"),
            $(".parrafo-nomina").css("display", "none"),
            $(".parrafo-contabilidad").css("display", "none"),
            $(".parrafo-inventario").css("display", "none"),
            $(".parrafo-cobranza").css("display", "none"),
            $(".parrafo-plataforma").css("display", "none");
        $(".parrafo-conciliacion").css("display", "none");
    }),
    $("#item2").mouseenter(function () {
        $(".parrafo-nomina").css("display", "block"),
            $("#img-conoce-xl").attr("src", "images/header/nominahd.png"),
            $(".parrafo-factura").css("display", "none"),
            $(".parrafo-contabilidad").css("display", "none"),
            $(".parrafo-inventario").css("display", "none"),
            $(".parrafo-cobranza").css("display", "none"),
            $(".parrafo-plataforma").css("display", "none");
        $(".parrafo-conciliacion").css("display", "none");
    }),
    $("#item3").mouseenter(function () {
        $(".parrafo-contabilidad").css("display", "block"),
            $("#img-conoce-xl").attr("src", "images/header/contabilidadhd.png"),
            $(".parrafo-factura").css("display", "none"),
            $(".parrafo-nomina").css("display", "none"),
            $(".parrafo-inventario").css("display", "none"),
            $(".parrafo-cobranza").css("display", "none"),
            $(".parrafo-plataforma").css("display", "none");
        $(".parrafo-conciliacion").css("display", "none");
    }),
    $("#item4").mouseenter(function () {
        $(".parrafo-inventario").css("display", "block"),
            $("#img-conoce-xl").attr("src", "images/header/cinventariohd.png"),
            $(".parrafo-factura").css("display", "none"),
            $(".parrafo-nomina").css("display", "none"),
            $(".parrafo-contabilidad").css("display", "none"),
            $(".parrafo-cobranza").css("display", "none"),
            $(".parrafo-plataforma").css("display", "none");
        $(".parrafo-conciliacion").css("display", "none");
    }),
    $("#item5").mouseenter(function () {
        $(".parrafo-cobranza").css("display", "block"),
            $("#img-conoce-xl").attr("src", "images/header/ccobranzahd.png"),
            $(".parrafo-factura").css("display", "none"),
            $(".parrafo-contabilidad").css("display", "none"),
            $(".parrafo-inventario").css("display", "none"),
            $(".parrafo-plataforma").css("display", "none"),
            $(".parrafo-nomina").css("display", "none");
        $(".parrafo-conciliacion").css("display", "none");
    }),
    $("#item6").mouseenter(function () {
        $(".parrafo-plataforma").css("display", "block"),
            $("#img-conoce-xl").attr("src", "images/index/plataf0.png"),
            $(".parrafo-factura").css("display", "none"),
            $(".parrafo-contabilidad").css("display", "none"),
            $(".parrafo-inventario").css("display", "none"),
            $(".parrafo-cobranza").css("display", "none"),
            $(".parrafo-nomina").css("display", "none");
        $(".parrafo-conciliacion").css("display", "none");
    }),
    $("#item7").mouseenter(function () {
        $(".parrafo-conciliacion").css("display", "block"),
            $("#img-conoce-xl").attr("src", "images/index/Concilia0.png"),
            $(".parrafo-factura").css("display", "none"),
            $(".parrafo-contabilidad").css("display", "none"),
            $(".parrafo-inventario").css("display", "none"),
            $(".parrafo-cobranza").css("display", "none"),
            $(".parrafo-nomina").css("display", "none");
    }),
    $("#opc1").mouseenter(function () {
        $(".content-fac-elec").css("display", "block"),
            $(".content-nom").css("display", "none"),
            $(".content-con-elec").css("display", "none"),
            $(".content-inv").css("display", "none"),
            $(".content-cob").css("display", "none"),
            $(".content-dis").css("display", "none");
        $(".content-conc").css("display", "none");
    }),
    $("#opc2").mouseenter(function () {
        $(".content-nom").css("display", "block"),
            $(".content-fac-elec").css("display", "none"),
            $(".content-con-elec").css("display", "none"),
            $(".content-inv").css("display", "none"),
            $(".content-cob").css("display", "none"),
            $(".content-dis").css("display", "none");
        $(".content-conc").css("display", "none");
    }),
    $("#opc3").mouseenter(function () {
        $(".content-con-elec").css("display", "block"),
            $(".content-fac-elec").css("display", "none"),
            $(".content-nom").css("display", "none"),
            $(".content-inv").css("display", "none"),
            $(".content-cob").css("display", "none"),
            $(".content-dis").css("display", "none");
        $(".content-conc").css("display", "none");
    }),
    $("#opc4").mouseenter(function () {
        $(".content-inv").css("display", "block"),
            $(".content-fac-elec").css("display", "none"),
            $(".content-nom").css("display", "none"),
            $(".content-con-elec").css("display", "none"),
            $(".content-cob").css("display", "none"),
            $(".content-dis").css("display", "none");
        $(".content-conc").css("display", "none");
    }),
    $("#opc5").mouseenter(function () {
        $(".content-cob").css("display", "block"),
            $(".content-fac-elec").css("display", "none"),
            $(".content-nom").css("display", "none"),
            $(".content-con-elec").css("display", "none"),
            $(".content-inv").css("display", "none"),
            $(".content-dis").css("display", "none");
        $(".content-conc").css("display", "none");
    }),
    $("#opc6").mouseenter(function () {
        $(".content-dis").css("display", "block"),
            $(".content-fac-elec").css("display", "none"),
            $(".content-nom").css("display", "none"),
            $(".content-con-elec").css("display", "none"),
            $(".content-inv").css("display", "none"),
            $(".content-cob").css("display", "none");
        $(".content-conc").css("display", "none");
    }),
    $("#opc7").mouseenter(function () {
        $(".content-conc").css("display", "block"),
            $(".content-fac-elec").css("display", "none"),
            $(".content-nom").css("display", "none"),
            $(".content-con-elec").css("display", "none"),
            $(".content-inv").css("display", "none"),
            $(".content-cob").css("display", "none");
    }),
    $("#op1").mouseenter(function () {
        $(".parrafo-digital").css("display", "block"),
            $("#img-construye-xl").attr("src", "images/index/Disenio-digitalA.png"),
            $(".parrafo-software").css("display", "none"),
            $(".parrafo-aplicaciones").css("display", "none"),
            $(".parrafo-inteligencia").css("display", "none"),
            $(".parrafo-bigdata").css("display", "none"),
            $(".parrafo-oursourcing").css("display", "none");
    }),
    $("#op2").mouseenter(function () {
        $(".parrafo-software").css("display", "block"),
            $("#img-construye-xl").attr("src", "images/header/desarrollosthd.png"),
            $(".parrafo-digital").css("display", "none"),
            $(".parrafo-aplicaciones").css("display", "none"),
            $(".parrafo-inteligencia").css("display", "none"),
            $(".parrafo-bigdata").css("display", "none"),
            $(".parrafo-oursourcing").css("display", "none");
    }),
    $("#op3").mouseenter(function () {
        $(".parrafo-aplicaciones").css("display", "block"),
            $("#img-construye-xl").attr("src", "images/header/desarrolloappshd.png"),
            $(".parrafo-digital").css("display", "none"),
            $(".parrafo-software").css("display", "none"),
            $(".parrafo-inteligencia").css("display", "none"),
            $(".parrafo-bigdata").css("display", "none"),
            $(".parrafo-oursourcing").css("display", "none");
    }),
    $("#op4").mouseenter(function () {
        $(".parrafo-inteligencia").css("display", "block"),
            $("#img-construye-xl").attr("src", "images/header/aihd.png"),
            $(".parrafo-aplicaciones").css("display", "none"),
            $(".parrafo-digital").css("display", "none"),
            $(".parrafo-software").css("display", "none"),
            $(".parrafo-bigdata").css("display", "none"),
            $(".parrafo-oursourcing").css("display", "none");
    }),
    $("#op5").mouseenter(function () {
        $(".parrafo-bigdata").css("display", "block"),
            $("#img-construye-xl").attr("src", "images/header/bigdatahd.png"),
            $(".parrafo-inteligencia").css("display", "none"),
            $(".parrafo-aplicaciones").css("display", "none"),
            $(".parrafo-digital").css("display", "none"),
            $(".parrafo-software").css("display", "none"),
            $(".parrafo-oursourcing").css("display", "none");
    }),
    $("#op6").mouseenter(function () {
        $(".parrafo-oursourcing").css("display", "block"),
            $("#img-construye-xl").attr("src", "images/header/outsourcinghd.png"),
            $(".parrafo-bigdata").css("display", "none"),
            $(".parrafo-inteligencia").css("display", "none"),
            $(".parrafo-aplicaciones").css("display", "none"),
            $(".parrafo-digital").css("display", "none"),
            $(".parrafo-software").css("display", "none");
    }),
    $("#it1").mouseenter(function () {
        $(".content-dig").css("display", "block"),
            $(".content-des-sf").css("display", "none"),
            $(".content-apps").css("display", "none"),
            $(".content-ia").css("display", "none"),
            $(".content-big").css("display", "none"),
            $(".content-out").css("display", "none");
    }),
    $("#it2").mouseenter(function () {
        $(".content-des-sf").css("display", "block"),
            $(".content-dig").css("display", "none"),
            $(".content-apps").css("display", "none"),
            $(".content-ia").css("display", "none"),
            $(".content-big").css("display", "none"),
            $(".content-out").css("display", "none");
    }),
    $("#it3").mouseenter(function () {
        $(".content-apps").css("display", "block"),
            $(".content-dig").css("display", "none"),
            $(".content-des-sf").css("display", "none"),
            $(".content-ia").css("display", "none"),
            $(".content-big").css("display", "none"),
            $(".content-out").css("display", "none");
    }),
    $("#it4").mouseenter(function () {
        $(".content-ia").css("display", "block"),
            $(".content-dig").css("display", "none"),
            $(".content-des-sf").css("display", "none"),
            $(".content-apps").css("display", "none"),
            $(".content-big").css("display", "none"),
            $(".content-out").css("display", "none");
    }),
    $("#it5").mouseenter(function () {
        $(".content-big").css("display", "block"),
            $(".content-dig").css("display", "none"),
            $(".content-des-sf").css("display", "none"),
            $(".content-apps").css("display", "none"),
            $(".content-ia").css("display", "none"),
            $(".content-out").css("display", "none");
    }),
    $("#it6").mouseenter(function () {
        $(".content-out").css("display", "block"),
            $(".content-dig").css("display", "none"),
            $(".content-des-sf").css("display", "none"),
            $(".content-ia").css("display", "none"),
            $(".content-big").css("display", "none"),
            $(".content-apps").css("display", "none");
    }),
    $("#optA").mouseover(function () {
        $(this).addClass("active"), $("#optB").removeClass("active"), $("#optC").removeClass("active");
    }),
    $("#optB").mouseover(function () {
        $(this).addClass("active"), $("#optA").removeClass("active"), $("#optC").removeClass("active");
    }),
    $("#optC").mouseover(function () {
        $(this).addClass("active"), $("#optA").removeClass("active"), $("#optB").removeClass("active");
    }),
    $("#rotar-conoce-mv").on("click", function (n) {
        n.preventDefault(), "giro" == n.currentTarget.className ? $("#rotar-conoce-mv").removeClass("giro") : $("#rotar-conoce-mv").addClass("giro");
    }),
    $("#rotar-construye-mv").on("click", function (n) {
        n.preventDefault(), "giro" == n.currentTarget.className ? $("#rotar-construye-mv").removeClass("giro") : $("#rotar-construye-mv").addClass("giro");
    }),
    $("#rotar-conoce-mv").on("click", function () {
        $("#header-mv").slideToggle();
    }),
    $("#rotar-construye-mv").on("click", function () {
        $("#header-const-mv").slideToggle();
    }),
    $(".arrow-conoce").click(function () {
        $(".sublista-conoce-mv, .content-img, .content-hd-mv ").slideToggle();
    }),
    $(".arrow-construye").click(function () {
        $(".sublista-construye-mv, .content-img-b, .content-hd-mv-b ").slideToggle();
    }),
    $("document").ready(function () {
        updateHeader(),
            cloneOption(),
            /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ||
                $(window).resize(function () {
                    updateHeader();
                });
    }),
    $("#opt").mouseenter(function () {
        $(".submenu-construye").slideUp("slow"), $(".submenu-conoce").slideDown("slow"), $("#box-search").css("display", "none");
    }),
    $("#optconst").mouseenter(function () {
        $(".submenu-conoce").slideUp("slow"), $(".submenu-construye").slideDown("slow"), $("#box-search").css("display", "none");
    });
        